GNUNET-NAMESTORE-ZONEFILE(1)

NAME
gnunet-namestore-zonefile - Import GNU Name System (GNS) zone data using zonefiles.

SYNOPSIS
gnunet-namestore-zonefile [-c FILENAME | --config=FILENAME] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-v | --version] [-z EGO | --zone=EGO]

DESCRIPTION
gnunet-namestore-zonefile can be used to manipulate records in a GNS zone.

The zonefile is read from standard input.

$ORIGIN entries in the zonefile will be treated as ego names (without the trailing ".") and created if missing.

To implicity give an initial $ORIGIN, use the --ego flag.

All records will be created public and with relative expiration times set to the value provided in $TTL entries.

The options are as follows:

-c FILENAME | --config=FILENAME
    Use the configuration file FILENAME.

-h | --help
    Print short help on options.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-v | --version
    Print GNUnet version number.

-z EGO | --zone=EGO
    Specifies the name of the ego controlling the private key for the zone. If not provided, we will attempt to use the default identity set for the "namestore". Alternatively, a private key may be passed in Base32-encoding using the GNUNET_NAMESTORE_EGO_PRIVATE_KEY environment variable. The latter is useful to improve performance of tools like Ascension as it allows the command to skip IPC with the identity management subsystem.

SEE ALSO
gnunet-gns(1), gnunet-namestore(1)

The full documentation for GNUnet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.